summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Alexander Bruy2012-12-29 02:36:32 +0100
committer dsomero2012-12-30 04:25:34 +0100
commit9ef5b37210bce6a7bf0416d658e202fd0500a42f (patch)
tree56ee2dbe4f43b84973449f4c01157e2d5b6ba172 /academic
parent881f6be2d508dcf466ad98cc83f790aefb7b69b4 (diff)
downloadslackbuilds-9ef5b37210bce6a7bf0416d658e202fd0500a42f.tar.gz
academic/TauDEM: Added (Terrain Analysis Using DEM)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/TauDEM/README17
-rw-r--r--academic/TauDEM/TauDEM.SlackBuild100
-rw-r--r--academic/TauDEM/TauDEM.info10
-rw-r--r--academic/TauDEM/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/academic/TauDEM/README b/academic/TauDEM/README
new file mode 100644
index 0000000000..2eb6722f78
--- /dev/null
+++ b/academic/TauDEM/README
@@ -0,0 +1,17 @@
+TauDEM (Terrain Analysis Using Digital Elevation Models) is a suite of Digital
+Elevation Model (DEM) tools for the extraction and analysis of hydrologic
+information from topography as represented by a DEM. TauDEM provides the
+following capability:
+
+* Development of hydrologically correct (pit removed) DEMs using the flooding
+ approach
+* Calculates flow paths (directions) and slopes
+* Calculates contributing area using single and multiple flow direction methods
+* Multiple methods for the delineation of stream networks including topographic
+ form-based methods sensitive to spatially variable drainage density
+* Objective methods for determination of the channel network delineation
+ threshold based on stream drops
+* Delineation of watersheds and subwatersheds draining to each stream segment
+ and association between watershed and segment attributes for setting up
+ hydrologic models
+* Specialized functions for terrain analysis
diff --git a/academic/TauDEM/TauDEM.SlackBuild b/academic/TauDEM/TauDEM.SlackBuild
new file mode 100644
index 0000000000..a8920e55a0
--- /dev/null
+++ b/academic/TauDEM/TauDEM.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for TauDEM
+
+# Copyright 2012 Alexander Bruy <alexander.bruy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=TauDEM
+VERSION=${VERSION:-5.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ZIPNAME=TauDEM5PCsrc_506
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf src
+unzip $CWD/$ZIPNAME.zip
+cd src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# fixes for building under Linux
+sed -i -e '41 a #include <stdint.h>' ./linearpart.h
+sed -i -e 's/#include "stdint.h"/#include <stdint.h>/' tiffIO.h
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_COMPILER=mpicxx \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/TauDEM/TauDEM.info b/academic/TauDEM/TauDEM.info
new file mode 100644
index 0000000000..c99e757de2
--- /dev/null
+++ b/academic/TauDEM/TauDEM.info
@@ -0,0 +1,10 @@
+PRGNAM="TauDEM"
+VERSION="5.0.6"
+HOMEPAGE="http://hydrology.usu.edu/taudem/taudem5.0/"
+DOWNLOAD="http://hydrology.usu.edu/taudem/taudem5.0/TauDEM5PCsrc_506.zip"
+MD5SUM="76848267b3acd1c4667b7c7d7112ade6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openmpi"
+MAINTAINER="Alexander Bruy"
+EMAIL="alexander.bruy@gmail.com"
diff --git a/academic/TauDEM/slack-desc b/academic/TauDEM/slack-desc
new file mode 100644
index 0000000000..6caf39d5c1
--- /dev/null
+++ b/academic/TauDEM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+TauDEM: TauDEM (Terrain Analysis Using Digital Elevation Models)
+TauDEM:
+TauDEM: TauDEM is a suite of Digital Elevation Model (DEM) tools for the
+TauDEM: extraction and analysis of hydrologic information from topography as
+TauDEM: represented by a DEM
+TauDEM:
+TauDEM: Project homepage: http://hydrology.usu.edu/taudem/taudem5.0/
+TauDEM:
+TauDEM:
+TauDEM:
+TauDEM: